SDL_JoystickType(3type)

NAME
SDL_JoystickType - An enum of some common joystick types.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_JoystickType
{
    SDL_JOYSTICK_TYPE_UNKNOWN,
    SDL_JOYSTICK_TYPE_GAMEPAD,
    SDL_JOYSTICK_TYPE_WHEEL,
    SDL_JOYSTICK_TYPE_ARCADE_STICK,
    SDL_JOYSTICK_TYPE_FLIGHT_STICK,
    SDL_JOYSTICK_TYPE_DANCE_PAD,
    SDL_JOYSTICK_TYPE_GUITAR,
    SDL_JOYSTICK_TYPE_DRUM_KIT,
    SDL_JOYSTICK_TYPE_ARCADE_PAD,
    SDL_JOYSTICK_TYPE_THROTTLE,
    SDL_JOYSTICK_TYPE_COUNT
} SDL_JoystickType;

DESCRIPTION
In some cases, SDL can identify a low-level joystick as being a certain type of device, and will report it through

SDL_GetJoystickType
 (or

SDL_GetJoystickTypeForID ).

This is by no means a complete list of everything that can be plugged into a computer.

AVAILABILITY
This enum is available since SDL 3.2.0.